WEGO(1)

NAME
wego - display the weather in your terminal

SYNOPSIS
wego [options...] [argument...]

DESCRIPTION
wego is a weather client for the terminal that shows the current and forecasted weather conditions using various backends.

Configuration is stored in a config file (default: ~/.wegorc) and can also be provided via command-line flags.

A backend API key is required for most backends.

OPTIONS

-aat-compact
    aat-frontend: Compact output

-aat-coords
    aat-frontend: Show geo coordinates

-aat-monochrome
    aat-frontend: Monochrome output

-b  `BACKEND` to be used (shorthand)

-backend
    `BACKEND` to be used

-cache-ttl
    `DURATION` to cache weather data on disk (0 to disable)

-caiyun-api-key
    caiyun backend: the api `KEY` to use

-caiyun-debug
    caiyun backend: print raw requests and responses

-caiyun-lang
    caiyun backend: the `LANGUAGE` to request from caiyunapp.com/

-d  `NUMBER` of days of weather forecast to be displayed (shorthand)

-days
    `NUMBER` of days of weather forecast to be displayed

-f  `FRONTEND` to be used (shorthand)

-frontend
    `FRONTEND` to be used

-jsn-no-indent
    json frontend: do not indent the output

-l  `LOCATION` to be queried (shorthand)

-location
    `LOCATION` to be queried

-man
    Generate man page and print to stdout

-md-coords
    md-frontend: Show geo coordinates

-openmeteo-api-key
    openmeteo backend: the api `KEY` to use if commercial usage

-openmeteo-debug
    openmeteo backend: print raw requests and responses

-owm-api-key
    openweathermap backend: the api `KEY` to use

-owm-debug
    openweathermap backend: print raw requests and responses

-owm-lang
    openweathermap backend: the `LANGUAGE` to request from openweathermap

-u
    `UNITSYSTEM` to use for output. (shorthand)         Choices are: metric, imperial, si, metric-ms

-units
    `UNITSYSTEM` to use for output.         Choices are: metric, imperial, si, metric-ms

-weather-api-debug
    weatherapi backend: print raw requests and responses

-weather-api-key
    weatherapi backend: the api `Key` to use

-weather-api-lang
    weatherapi backend: the `LANGUAGE` to request from weatherapi

-wwo-api-key
    worldweatheronline backend: the api `KEY` to use

-wwo-debug
    worldweatheronline backend: print raw requests and responses

-wwo-lang
    worldweatheronline backend: the `LANGUAGE` to request from worldweatheronline

CONFIGURATION
wego stores its configuration in ~/.wegorc by default. The config file is created on the first run with default values. Each flag listed below corresponds to a config file key. Command-line flags take precedence over config file values.

COPYRIGHT
(C) The wego contributors.

Released under ISC license.